All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::asbs_config Struct Reference

Configuration struct for generating OpenCL kernels for linear combinations of viennacl::scalar<> objects. More...

`#include <scalar.hpp>`

## Public Member Functions

| asbs_config ()

## Public Attributes

bool | with_stride_and_range
std::string | assign_op
asbs_scalar_type | a
asbs_scalar_type | b

## Detailed Description

Configuration struct for generating OpenCL kernels for linear combinations of viennacl::scalar<> objects.

Definition at line 48 of file scalar.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::opencl::kernels::asbs_config::asbs_config | ( |  | ) |

inline

Definition at line 50 of file scalar.hpp.

## Member Data Documentation

asbs_scalar_type viennacl::linalg::opencl::kernels::asbs_config::a

Definition at line 54 of file scalar.hpp.

std::string viennacl::linalg::opencl::kernels::asbs_config::assign_op

Definition at line 53 of file scalar.hpp.

asbs_scalar_type viennacl::linalg::opencl::kernels::asbs_config::b

Definition at line 55 of file scalar.hpp.

bool viennacl::linalg::opencl::kernels::asbs_config::with_stride_and_range

Definition at line 52 of file scalar.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/scalar.hpp